Loading...
Searching...
No Matches
<tt>mkgeo_contraction</tt>

mesh of an abrupt contraction

## Synopsis

    mkgeo_contraction [options] [nx [ny]]

## Example

The following command build a triangle-based 2d unstructured mesh of the [-10,0]x[0,4] u [0,10]x[0,1] mesh

        mkgeo_contraction
        geo contraction.geo

## Description

This command is convenient for building a mesh for the abrupt contraction, as it is a very classical benchmark in complex fluid flow problems. It calls `bamg` unstructured mesh generator with anisotropy feature. The mesh files goes on name.geo where name is the basename for the output (see option `-name` below). The three auxiliary files required for automatic mesh generation with Rheolef combined with `bamg` are also provided:

            name.bamg
            name.bamgcad
            name.dmn

## The geometry

The geometry is [-Lu,0]x[0,d] u [0,Ld]x[0,1]. By default c=4 is the contraction ratio and Lu=Ld=10 are the upstream and downstream pipe lengths.

`-c` float
`-Lu` float
`-Ld` float

> ‍ These options control the geometry parameters.

`-cartesian`
`-zr`
`-rz`

> ‍ These options control the geometry coordinate system. Default is Cartesian.

## The discretization

The optional nx and ny arguments are integers that specifies the subdivision in each direction. By default nx=1 and ny=nx. Changing the density applies the factor 1/nx to all the mesh edges lengths.

`-hmin` float

> ‍ Controls the edge length at the re-entrant corner of the contraction. Default is `hmin`=0.1. Changing the density by the previous options applies the factor 1/n to `hmin` also.

## Boundary domains

The boundary sides are represented by domains: `axis`, `wall`, `upstream` and `downstream`.

## Others options

`-name` string

> ‍ Set the basename for the output files. By default, the basename is `contraction`.

`-[no]split`

> ‍ Split each triangle in three subtriangles by inserting the barycenter as an additional node. This is useful for using the Scott and Vogelius incompressible mixed finite element P2-P1d for velocity-pressure approximation. Default is no split.

`-[no]clean`

> ‍ Clear temporary files (this is the default).

`-[no]verbose`

> ‍ In verbose mode, print to stderr all commands and logs.

## Implementation

This documentation has been generated from file main/sbin/mkgeo_contraction.sh